using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability425.Domain;

public class TaobaoTbkScPublisherInfoGetData
{

    /*
        共享字段 - 总记录数
    */
    private long? totalCount;


    /*
        共享字段 - 渠道或会员列表
    */
    private IList<TaobaoTbkScPublisherInfoGetMapData>? inviterList;


    /*
        渠道专属pidList
    */
    private IList<string>? rootPidChannelList;



    [JsonPropertyName("total_count")]
    public long? TotalCount
    {
        get => totalCount;
        set => this.totalCount = value;
    }

    [JsonPropertyName("inviter_list")]
    public IList<TaobaoTbkScPublisherInfoGetMapData>? InviterList
    {
        get => inviterList;
        set => this.inviterList = value;
    }

    [JsonPropertyName("root_pid_channel_list")]
    public IList<string>? RootPidChannelList
    {
        get => rootPidChannelList;
        set => this.rootPidChannelList = value;
    }

}

